import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'admin-primary-button',
  templateUrl: './primary-button.component.html',
})
export class PrimaryButtonComponent {
  @Output()
  clickEmitter: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>();

  @Input()
  submitInProgress: boolean;

  @Input()
  label: string;
}
