import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'admin-secondary-button',
  templateUrl: './secondary-button.component.html',
})
export class SecondaryButtonComponent {
  @Output()
  clickEmitter: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>();

  @Input()
  disabled: boolean;

  @Input()
  label: string;
}
