import { Component, OnInit } from '@angular/core';
import { HintService } from '@alfa-client/hint-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-hint-container',
  templateUrl: './hint-container.component.html',
  styleUrls: ['./hint-container.component.scss'],
})
export class HintContainerComponent implements OnInit {
  public hasUserNoOrganisationsEinheitIdHint$: Observable<boolean>;

  constructor(private hintService: HintService) {}

  ngOnInit(): void {
    this.hasUserNoOrganisationsEinheitIdHint$ =
      this.hintService.hasUserNoOrganisationsEinheitIdHint();
  }
}
