package de.ozgcloud.alfa;

import java.time.Instant;
import java.util.Map;

import org.springframework.security.oauth2.jwt.Jwt;

import com.thedeanda.lorem.LoremIpsum;

public class JwtTestFactory {

	public static final String TOKEN_VALUE = LoremIpsum.getInstance().getWords(1);
	private static final Instant ISSUE_AT = Instant.now();
	private static final Instant EXPIRES_AT = ISSUE_AT.plusMillis(5000);

	public static final String DUMMY_HEADER_KEY = "dummyHeaderKey";
	private static final String DUMMY_HEADER_VALUE = "dummyHeaderValue";
	private static final Map<String, Object> HEADERS = Map.of(DUMMY_HEADER_KEY, DUMMY_HEADER_VALUE);

	public static Jwt create(Map<String, Object> claims) {
		return new Jwt(TOKEN_VALUE, ISSUE_AT, EXPIRES_AT, HEADERS, claims);
	}
}
