package de.ozgcloud.alfa.export;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.export.XdomeaProperties.XdomeaPropertiesBuilder;

public class XdomeaPropertiesTestFactory {

	public static final String BEHOERDENSCHLUESSEL = LoremIpsum.getInstance().getWords(1);
	public static final String BEHOERDENSCHLUESSEL_URI = LoremIpsum.getInstance().getUrl();
	public static final String BEHOERDENSCHLUESSEL_VERSION =  LoremIpsum.getInstance().getWords(1);

	public static XdomeaProperties create() {
		return createBuilder().build();
	}

	public static XdomeaPropertiesBuilder createBuilder() {
		return new XdomeaPropertiesBuilder()
				.behoerdenschluessel(BEHOERDENSCHLUESSEL)
				.behoerdenschluesselUri(BEHOERDENSCHLUESSEL_URI)
				.behoerdenschluesselVersion(BEHOERDENSCHLUESSEL_VERSION);
	}
}
