import { StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { Observable, map } from 'rxjs';
import { SettingListResourceService } from './admin-settings-resource.service';
import { getPostfachResource } from './admin-settings.util';
import { PostfachResource } from './postfach/postfach.model';

@Injectable()
export class SettingsService {
  constructor(private settingListResourceService: SettingListResourceService) {}

  public getPostfach(): Observable<StateResource<PostfachResource>> {
    return this.settingListResourceService.getList().pipe(map(getPostfachResource));
  }
}
