package de.ozgcloud.alfa.collaboration;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheitGetResponse;

class GrpcOrganisationsEinheitGetResponseTestFactory {

	public static final GrpcOrganisationsEinheit GRPC_ORGANISATIONS_EINHEIT = GrpcOrganisationsEinheitTestFactory.create();

	public static GrpcOrganisationsEinheitGetResponse create() {
		return createBuilder().build();
	}

	public static GrpcOrganisationsEinheitGetResponse.Builder createBuilder() {
		return GrpcOrganisationsEinheitGetResponse.newBuilder().setOrganisationsEinheit(GRPC_ORGANISATIONS_EINHEIT);
	}

}
